Index: /sandbox/newExpressoMail/expressoMail1_2/js/draw_api.js
===================================================================
--- /sandbox/newExpressoMail/expressoMail1_2/js/draw_api.js	(revision 7064)
+++ /sandbox/newExpressoMail/expressoMail1_2/js/draw_api.js	(revision 7167)
@@ -3807,12 +1928,4 @@
 			}
 	}
-}
-
-function mySplit( val ) {
-	return val.split( /,\s*/ );
-}
-
-function extractLast( term ) {
-	return mySplit( term ).pop();
 }
 
@@ -4516,10 +2629,8 @@
 	.end().filter(".cco-button").click(function(){
 		show_hide(content.find(".cco-tr"), $(this));
-		change_text($(this).find(".ui-button-text"), get_lang("Add BCC"), get_lang('Remove CCo'));
 	})
 	//Botï¿œo Adicionar/Remover CC
 	.end().filter(".cc-button").click(function(){
 		show_hide(content.find(".cc-tr"), $(this));
-		change_text($(this).find(".ui-button-text"), get_lang("Add CC"), get_lang('Remove CC'));
 	})
     //Botï¿œo Responder a
@@ -4527,9 +2638,11 @@
         show_hide(content.find(".reply-to-tr"), $(this));
     });
-	
+
+	content.find(".field-buttons").buttonset();
+
 	//BOTAO ENVIAR
 	content.find(".send").button({
 		icons : {
-			primary : "expressomail-icon-send"
+			primary : "ui-icon-mail-closed"
 		}
 	}).click(function(){
@@ -4547,5 +2660,5 @@
 	.end().find(".save").button({
 		icons : {
-			primary : "expressomail-icon-save"
+			primary : "ui-icon-disk"
 		}
 	}).click(function(){
@@ -4555,6 +2668,7 @@
 	.end().find(".return-recept").button({
 		icons : {
-			primary : "expressomail-icon-read-confirmation"
-		}
+			primary : "ui-icon-transfer-e-w"
+		},
+		text:false
 	}).click(function(){
 		check_input(content.find('[name="input_return_receipt"]'));
@@ -4564,6 +2678,7 @@
 	.end().find(".important").button({
 		icons : {
-			primary : "expressomail-icon-important"
-		}
+			primary : "ui-icon-notice"
+		},
+		text:false
 	}).click(function(){
 		check_input(content.find('[name="input_important_message"]'));
@@ -4573,20 +2688,22 @@
 	.end().find(".return_digital").button({
 		icons : {
-			primary : "expressomail-icon-signature"
-		}
+			primary : "ui-icon-key"
+		},
+		text:false
 	}).click(function(){
 		check_input(content.find('[name="input_return_digital"]'));
-		$(this).toggleClass("expressomail-button-icon-ative");
 	})
 	//BOTAO EMAIL CRYPT
 	.end().find(".return_cripto").button({
 		icons : {
-			primary : "expressomail-icon-encryption"
-		}
+			primary : "ui-icon-locked"
+		},
+		text:false
 	}).click(function(){
 		check_input(content.find('[name="input_return_cripto"]'));
-		$(this).toggleClass("expressomail-button-icon-ative");
 	});
 	
+	content.find(".flags-buttons").buttonset();
+
 	content.find(".attachment td").filter(".value").prepend(DataLayer.render("../prototype/modules/mail/templates/attachment.ejs", {ID:ID}));
 	var fileUploadMSG = $('#fileupload_msg'+ID);
Index: /sandbox/newExpressoMail/expressoMail1_2/js/doiMenuData.js
===================================================================
--- /sandbox/newExpressoMail/expressoMail1_2/js/doiMenuData.js	(revision 6943)
+++ /sandbox/newExpressoMail/expressoMail1_2/js/doiMenuData.js	(revision 7167)
@@ -7,5 +7,5 @@
 				var msg_folder = current_folder;
 				var messages = new Array();
-				if(currentTab == 0){
+				if(indexTab() == 0){
 					var id = get_selected_messages().split(',');
 					for (i = 0; i < id.length; i++){
